unit BeeGui_PasswordFrm;

{ Contains:

  beeGUI PassWord form.

  (C) 2005 Andrew Filinsky, Melchiorre Caruso

  Modifyed:

  v1.0.1 build 9140 - 2005/07/08 Melchiorre Caruso
  v1.0.1 build 9158 - 2005/07/24 Melchiorre Caruso

}

{$R-,Q-,S-}

interface

uses
  Classes,
  Buttons,
  StdCtrls,
  Graphics,
  ExtCtrls,
  Controls,

  BeeGui_Forms; // TBeeGuiCustomForm

type 
  TPasswordFrm = class (TBGCustomForm)
  
    PasswordFrm_Panel: TPanel;
    PasswordFrm_Image: TImage;
    PasswordFrm_Key_: TLabel;
    PasswordFrm_Key: TEdit;
    PasswordFrm_MaskKey: TCheckBox;

    BtnOk: TBitBtn;
    BtnCancel: TBitBtn;

    procedure PasswordFrm_MaskKeyClick (Sender: TObject);

  private
    { Private declarations }

  public
    { Public declarations }

  end;

var
  PasswordFrm: TPasswordFrm;

implementation

{$R *.DFM}

procedure TPasswordFrm.PasswordFrm_MaskKeyClick (Sender: TObject);
begin
  if PasswordFrm_MaskKey.Checked then
    PasswordFrm_Key.PasswordChar:=#0
  else
    PasswordFrm_Key.PasswordChar:='*';
end;

end.
